/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of Simonstrator.KOM.
 * 
 * Simonstrator.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tudarmstadt.maki.simonstrator.api.component.mape.stateexchange;

import java.util.LinkedList;

import de.tudarmstadt.maki.simonstrator.api.component.transport.TransInfo;

/**
 * List of TransInfo for neighborhood exchange in StateExchangeComponent.
 * 
 * TODO Seen as base metric, only in beginning until base metric class is
 * included.
 * 
 * @author Nils Richerzhagen
 * 
 */
public interface RoutingInfo {

	/**
	 * Adds transInfo, if not already included, to List.
	 * 
	 * @param transInfo
	 */
	public void addTransInfo(TransInfo transInfo);

	/**
	 * Removes the transInfo object, if contained, from the list.
	 * 
	 * @param transInfo
	 */
	public void removeTransInfo(TransInfo transInfo);

	/**
	 * Returns a list of {@link TransInfo} objects.
	 * 
	 * @return
	 */
	public LinkedList<TransInfo> getRoutingInfoList();

	/**
	 * Sets the list of {@link TransInfo} objects.
	 * 
	 * @param routingInfoList
	 */
	public void setRoutingInfoList(LinkedList<TransInfo> routingInfoList);
}
