package de.tudarmstadt.maki.simonstrator.api.component.resourcedistribution;

/**
 * The current state of the node in the resource distribution game.
 * <p/>
 * In state {@link #OFFLINE}, the node is inactive and does not consume any resources. In state {@link #ROAMING} the
 * node consumes a fixed number of resources <code>c</code> per time unit. In state {@link #HEADING_FOR_RESOURCE}
 * the node consumes <code>c + c' &gt; c</code> resources per time unit; also, the node is expected to move towards
 * a resource in this state.
 */
public enum ResourceConsumptionState {
    OFFLINE,
    ROAMING,
    HEADING_FOR_RESOURCE
}
