package de.tudarmstadt.maki.simonstrator.api.component.resourcedistribution;

import de.tudarmstadt.maki.simonstrator.api.component.sensor.location.Location;

/**
 * Marks the availability of a certain resource type for {@link ResourceConsumer}s, which is distributed at
 * a given location.
 */
public interface ResourceDistributionNotification {

    /**
     * Returns the resource type id of this availability notification. If only one type of resource is used, the value
     * should be 0.
     */
    public short getResourceType();

    /**
     * Returns the amount of available resources of this type at the distribution site. May be 0. The semantics of
     * this value depend on the resource type implementation.
     *
     * @return a non-negative value
     */
    public int getAmount();

    /**
     * Returns the resource distributor's location.
     */
    public Location getLocation();
}
