package de.tudarmstadt.maki.simonstrator.api.component.resourcedistribution;

import de.tudarmstadt.maki.simonstrator.api.common.UniqueID;

/**
 * Can register itself at a {@link ResourceDistributor} to get notified when the amount of resources at a distributor
 * changes.
 *
 * @author Tim Feuerbach
 */
public interface ResourceDistributorListener {
    void availableResourceAmountChanged(short resourceType, int oldValue, int newValue);

    void beaconIdChanged(UniqueID oldId, UniqueID newId);
}
